Skip to main content
GET
/
orders
/
v2
List orders
curl --request GET \
  --url https://api.collectpure.com/orders/v2/ \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": 123,
      "type": "purchase",
      "status": "<string>",
      "subtotal": 123,
      "salesTax": 123,
      "shipping": 123,
      "processingFee": 123,
      "total": 123,
      "currency": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "completeAt": "<string>",
      "trackingIds": [
        "<string>"
      ],
      "lineItems": [
        {
          "id": 123,
          "productId": "<string>",
          "variantId": "<string>",
          "price": 123,
          "quantity": 123,
          "tracking": "<string>",
          "shippingService": "<string>",
          "status": "<string>",
          "createdAt": "<string>",
          "updatedAt": "<string>"
        }
      ]
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

type
enum<string>
default:all

Filter by order type

Available options:
purchase,
sale,
all
status
string

Filter by order status

limit
integer
default:20

Maximum number of orders to return (default 20, max 100)

Required range: 1 <= x <= 100
offset
integer
default:0

Number of orders to skip (for pagination)

Required range: 0 <= x <= 9007199254740991

Response

200 - application/json

Default Response

data
object[]
required